package com.jsowell.pile.vo.web;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * Sim卡相关信息VO
 * 1卡的运营商 2运营商（移动、联通）3状态 4到期日期 5月充量/剩余流量 6续费
 *
 * @author JS-ZZA
 * @date 2022/12/7 11:00
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SimCardVO {
    /**
     * 卡号
     */
    private String iccId;

    /**
     * 卡商
     */
    private String simCardFactory;

    /**
     * 运营商 移动/电信/联通/其他
     */
    private String simCardOperator;

    /**
     * sim卡状态  0-正常,1-强制断网,2-客户断网,3-超套停,4-服务结束,5-提请销卡,6-销卡, (XunZhong)
     * 7-未开卡,8-沉默期,9-已停机,10-待激活,11-已回收,12-未知（WuLian）
     */
    private String simCardStatus;

    /**
     * 套餐名称
     */
    private String name;

    /**
     * 过期时间
     */
    private String expiredTime;

    /**
     * 月充量
     */
    private BigDecimal packageCapacity;

    /**
     * 已用流量
     */
    private BigDecimal usedFlowRate;

    /**
     * 剩余流量
     */
    private BigDecimal residualFlowRate;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("iccId", iccId)
                .append("simCardFactory", simCardFactory)
                .append("simCardOperator", simCardOperator)
                .append("simCardStatus", simCardStatus)
                .append("name", name)
                .append("expiredTime", expiredTime)
                .append("packageCapacity", packageCapacity)
                .append("usedFlowRate", usedFlowRate)
                .append("residualFlowRate", residualFlowRate)
                .toString();
    }
}
